Loading...
Searching...
No Matches
Event Struct Reference

Represent an event. It can be key press event, a terminal resize, or more ... More...

## Public Member Functions

bool | operator== (const Event &other) const
bool | operator!= (const Event &other) const
bool | operator< (const Event &other) const
const std::string & | input () const
bool | is_character () const
std::string | character () const
bool | is_mouse () const
struct Mouse & | mouse ()
bool | is_cursor_position () const
int | cursor_x () const
int | cursor_y () const
bool | is_cursor_shape () const
int | cursor_shape () const
std::string | DebugString () const
| Return a string representation of the event.

## Static Public Member Functions

static Event | Character (std::string)
| An event corresponding to a given typed character.
static Event | Character (char)
| An event corresponding to a given typed character.
static Event | Character (wchar_t)
| An event corresponding to a given typed character.
static Event | Special (std::string)
| An custom event whose meaning is defined by the user of the library.
static Event | Mouse (std::string, Mouse mouse)
| An event corresponding to a given typed character.
static Event | CursorPosition (std::string, int x, int y)
static Event | CursorShape (std::string, int shape)
| An event corresponding to a terminal DCS (Device Control String).

## Data Fields

ScreenInteractive * | screen_ = nullptr

## Static Public Attributes

static const Event | ArrowLeft = Event::Special("\x1B[D")
static const Event | ArrowRight = Event::Special("\x1B[C")
static const Event | ArrowUp = Event::Special("\x1B[A")
static const Event | ArrowDown = Event::Special("\x1B[B")
static const Event | ArrowLeftCtrl = Event::Special("\x1B[1;5D")
static const Event | ArrowRightCtrl = Event::Special("\x1B[1;5C")
static const Event | ArrowUpCtrl = Event::Special("\x1B[1;5A")
static const Event | ArrowDownCtrl = Event::Special("\x1B[1;5B")
static const Event | Backspace = Event::Special({127})
static const Event | Delete = Event::Special("\x1B[3~")
static const Event | Return = Event::Special({10})
static const Event | Escape = Event::Special("\x1B")
static const Event | Tab = Event::Special({9})
static const Event | TabReverse = Event::Special({27, 91, 90})
static const Event | Insert = Event::Special("\x1B[2~")
static const Event | Home = Event::Special({27, 91, 72})
static const Event | End = Event::Special({27, 91, 70})
static const Event | PageUp = Event::Special({27, 91, 53, 126})
static const Event | PageDown = Event::Special({27, 91, 54, 126})
static const Event | F1 = Event::Special("\x1BOP")
static const Event | F2 = Event::Special("\x1BOQ")
static const Event | F3 = Event::Special("\x1BOR")
static const Event | F4 = Event::Special("\x1BOS")
static const Event | F5 = Event::Special("\x1B[15~")
static const Event | F6 = Event::Special("\x1B[17~")
static const Event | F7 = Event::Special("\x1B[18~")
static const Event | F8 = Event::Special("\x1B[19~")
static const Event | F9 = Event::Special("\x1B[20~")
static const Event | F10 = Event::Special("\x1B[21~")
static const Event | F11 = Event::Special("\x1B[23~")
static const Event | F12 = Event::Special("\x1B[24~")
static const Event | a = Event::Character("a")
static const Event | A = Event::Character("A")
static const Event | CtrlA = Event::Special("\x01")
static const Event | AltA = Event::Special("\x1b""a")
static const Event | CtrlAltA = Event::Special("\x1b\x01")
static const Event | b = Event::Character("b")
static const Event | B = Event::Character("B")
static const Event | CtrlB = Event::Special("\x02")
static const Event | AltB = Event::Special("\x1b""b")
static const Event | CtrlAltB = Event::Special("\x1b\x02")
static const Event | c = Event::Character("c")
static const Event | C = Event::Character("C")
static const Event | CtrlC = Event::Special("\x03")
static const Event | AltC = Event::Special("\x1b""c")
static const Event | CtrlAltC = Event::Special("\x1b\x03")
static const Event | d = Event::Character("d")
static const Event | D = Event::Character("D")
static const Event | CtrlD = Event::Special("\x04")
static const Event | AltD = Event::Special("\x1b""d")
static const Event | CtrlAltD = Event::Special("\x1b\x04")
static const Event | e = Event::Character("e")
static const Event | E = Event::Character("E")
static const Event | CtrlE = Event::Special("\x05")
static const Event | AltE = Event::Special("\x1b""e")
static const Event | CtrlAltE = Event::Special("\x1b\x05")
static const Event | f = Event::Character("f")
static const Event | F = Event::Character("F")
static const Event | CtrlF = Event::Special("\x06")
static const Event | AltF = Event::Special("\x1b""f")
static const Event | CtrlAltF = Event::Special("\x1b\x06")
static const Event | g = Event::Character("g")
static const Event | G = Event::Character("G")
static const Event | CtrlG = Event::Special("\x07")
static const Event | AltG = Event::Special("\x1b""g")
static const Event | CtrlAltG = Event::Special("\x1b\x07")
static const Event | h = Event::Character("h")
static const Event | H = Event::Character("H")
static const Event | CtrlH = Event::Special("\x08")
static const Event | AltH = Event::Special("\x1b""h")
static const Event | CtrlAltH = Event::Special("\x1b\x08")
static const Event | i = Event::Character("i")
static const Event | I = Event::Character("I")
static const Event | CtrlI = Event::Special("\x09")
static const Event | AltI = Event::Special("\x1b""i")
static const Event | CtrlAltI = Event::Special("\x1b\x09")
static const Event | j = Event::Character("j")
static const Event | J = Event::Character("J")
static const Event | CtrlJ = Event::Special("\x0a")
static const Event | AltJ = Event::Special("\x1b""j")
static const Event | CtrlAltJ = Event::Special("\x1b\x0a")
static const Event | k = Event::Character("k")
static const Event | K = Event::Character("K")
static const Event | CtrlK = Event::Special("\x0b")
static const Event | AltK = Event::Special("\x1b""k")
static const Event | CtrlAltK = Event::Special("\x1b\x0b")
static const Event | l = Event::Character("l")
static const Event | L = Event::Character("L")
static const Event | CtrlL = Event::Special("\x0c")
static const Event | AltL = Event::Special("\x1b""l")
static const Event | CtrlAltL = Event::Special("\x1b\x0c")
static const Event | m = Event::Character("m")
static const Event | M = Event::Character("M")
static const Event | CtrlM = Event::Special("\x0d")
static const Event | AltM = Event::Special("\x1b""m")
static const Event | CtrlAltM = Event::Special("\x1b\x0d")
static const Event | n = Event::Character("n")
static const Event | N = Event::Character("N")
static const Event | CtrlN = Event::Special("\x0e")
static const Event | AltN = Event::Special("\x1b""n")
static const Event | CtrlAltN = Event::Special("\x1b\x0e")
static const Event | o = Event::Character("o")
static const Event | O = Event::Character("O")
static const Event | CtrlO = Event::Special("\x0f")
static const Event | AltO = Event::Special("\x1b""o")
static const Event | CtrlAltO = Event::Special("\x1b\x0f")
static const Event | p = Event::Character("p")
static const Event | P = Event::Character("P")
static const Event | CtrlP = Event::Special("\x10")
static const Event | AltP = Event::Special("\x1b""p")
static const Event | CtrlAltP = Event::Special("\x1b\x10")
static const Event | q = Event::Character("q")
static const Event | Q = Event::Character("Q")
static const Event | CtrlQ = Event::Special("\x11")
static const Event | AltQ = Event::Special("\x1b""q")
static const Event | CtrlAltQ = Event::Special("\x1b\x11")
static const Event | r = Event::Character("r")
static const Event | R = Event::Character("R")
static const Event | CtrlR = Event::Special("\x12")
static const Event | AltR = Event::Special("\x1b""r")
static const Event | CtrlAltR = Event::Special("\x1b\x12")
static const Event | s = Event::Character("s")
static const Event | S = Event::Character("S")
static const Event | CtrlS = Event::Special("\x13")
static const Event | AltS = Event::Special("\x1b""s")
static const Event | CtrlAltS = Event::Special("\x1b\x13")
static const Event | t = Event::Character("t")
static const Event | T = Event::Character("T")
static const Event | CtrlT = Event::Special("\x14")
static const Event | AltT = Event::Special("\x1b""t")
static const Event | CtrlAltT = Event::Special("\x1b\x14")
static const Event | u = Event::Character("u")
static const Event | U = Event::Character("U")
static const Event | CtrlU = Event::Special("\x15")
static const Event | AltU = Event::Special("\x1b""u")
static const Event | CtrlAltU = Event::Special("\x1b\x15")
static const Event | v = Event::Character("v")
static const Event | V = Event::Character("V")
static const Event | CtrlV = Event::Special("\x16")
static const Event | AltV = Event::Special("\x1b""v")
static const Event | CtrlAltV = Event::Special("\x1b\x16")
static const Event | w = Event::Character("w")
static const Event | W = Event::Character("W")
static const Event | CtrlW = Event::Special("\x17")
static const Event | AltW = Event::Special("\x1b""w")
static const Event | CtrlAltW = Event::Special("\x1b\x17")
static const Event | x = Event::Character("x")
static const Event | X = Event::Character("X")
static const Event | CtrlX = Event::Special("\x18")
static const Event | AltX = Event::Special("\x1b""x")
static const Event | CtrlAltX = Event::Special("\x1b\x18")
static const Event | y = Event::Character("y")
static const Event | Y = Event::Character("Y")
static const Event | CtrlY = Event::Special("\x19")
static const Event | AltY = Event::Special("\x1b""y")
static const Event | CtrlAltY = Event::Special("\x1b\x19")
static const Event | z = Event::Character("z")
static const Event | Z = Event::Character("Z")
static const Event | CtrlZ = Event::Special("\x1a")
static const Event | AltZ = Event::Special("\x1b""z")
static const Event | CtrlAltZ = Event::Special("\x1b\x1a")
static const Event | Custom = Event::Special({0})

## Detailed Description

Represent an event. It can be key press event, a terminal resize, or more ...

For example:

- Printable character can be created using Event::Character('a').
- Some special are predefined, like Event::ArrowLeft.
- One can find arbitrary code for special Events using: ./example/util/print_key_press For instance, CTLR+A maps to Event::Special({1});

Useful documentation about xterm specification: https://invisible-island.net/xterm/ctlseqs/ctlseqs.html

Examples
  examples/component/canvas_animated.cpp, examples/component/custom_loop.cpp, examples/component/input.cpp, and examples/component/print_key_press.cpp.

Definition at line 27 of file event.hpp.

## Member Function Documentation

## Character() [1/3]

Event Character | ( | std::string | input | ) |

static

An event corresponding to a given typed character.

Parameters

  input | The character typed by the user.

Definition at line 29 of file event.cpp.

## Character() [2/3]

Event Character | ( | char | c | ) |

static

An event corresponding to a given typed character.

Parameters

  c | The character typed by the user.

Definition at line 40 of file event.cpp.

## Character() [3/3]

Event Character | ( | wchar_t | c | ) |

static

An event corresponding to a given typed character.

Parameters

  c | The character typed by the user.

Definition at line 48 of file event.cpp.

## Special()

Event Special | ( | std::string | input | ) |

static

An custom event whose meaning is defined by the user of the library.

Parameters

  input | An arbitrary sequence of character defined by the developer.

Definition at line 79 of file event.cpp.

## Mouse()

Event Mouse | ( | std::string | input,
|  | Mouse | mouse )

static

An event corresponding to a given typed character.

Parameters

  input | The sequence of character send by the terminal.
  mouse | The mouse state.

Definition at line 57 of file event.cpp.

## CursorPosition()

Event CursorPosition | ( | std::string | input,
|  | int | x,
|  | int | y )

static

Definition at line 87 of file event.cpp.

## CursorShape()

Event CursorShape | ( | std::string | input,
|  | int | shape )

static

An event corresponding to a terminal DCS (Device Control String).

Definition at line 67 of file event.cpp.

## operator==()

bool operator== | ( | const Event & | other | ) | const

inline

Definition at line 98 of file event.hpp.

## operator!=()

bool operator!= | ( | const Event & | other | ) | const

inline

Definition at line 99 of file event.hpp.

## operator<()

bool operator< | ( | const Event & | other | ) | const

inline

Definition at line 100 of file event.hpp.

## input()

const std::string & input | ( |  | ) | const

inline

Examples
  examples/component/print_key_press.cpp.

Definition at line 102 of file event.hpp.

## is_character()

bool is_character | ( |  | ) | const

inline

Definition at line 104 of file event.hpp.

## character()

std::string character | ( |  | ) | const

inline

Examples
  examples/component/input.cpp.

Definition at line 105 of file event.hpp.

## is_mouse()

bool is_mouse | ( |  | ) | const

inline

Examples
  examples/component/canvas_animated.cpp.

Definition at line 107 of file event.hpp.

## mouse()

struct Mouse & mouse | ( |  | ) |

inline

Examples
  examples/component/canvas_animated.cpp.

Definition at line 108 of file event.hpp.

## is_cursor_position()

bool is_cursor_position | ( |  | ) | const

inline

Definition at line 111 of file event.hpp.

## cursor_x()

int cursor_x | ( |  | ) | const

inline

Definition at line 112 of file event.hpp.

## cursor_y()

int cursor_y | ( |  | ) | const

inline

Definition at line 113 of file event.hpp.

## is_cursor_shape()

bool is_cursor_shape | ( |  | ) | const

inline

Definition at line 115 of file event.hpp.

## cursor_shape()

int cursor_shape | ( |  | ) | const

inline

Definition at line 116 of file event.hpp.

## DebugString()

std::string DebugString | ( |  | ) | const

Return a string representation of the event.

Definition at line 96 of file event.cpp.

## Field Documentation

## ArrowLeft

const Event ArrowLeft = Event::Special("\x1B[D")

static

Definition at line 38 of file event.hpp.

## ArrowRight

const Event ArrowRight = Event::Special("\x1B[C")

static

Definition at line 39 of file event.hpp.

## ArrowUp

const Event ArrowUp = Event::Special("\x1B[A")

static

Definition at line 40 of file event.hpp.

## ArrowDown

const Event ArrowDown = Event::Special("\x1B[B")

static

Definition at line 41 of file event.hpp.

## ArrowLeftCtrl

const Event ArrowLeftCtrl = Event::Special("\x1B[1;5D")

static

Definition at line 43 of file event.hpp.

## ArrowRightCtrl

const Event ArrowRightCtrl = Event::Special("\x1B[1;5C")

static

Definition at line 44 of file event.hpp.

## ArrowUpCtrl

const Event ArrowUpCtrl = Event::Special("\x1B[1;5A")

static

Definition at line 45 of file event.hpp.

## ArrowDownCtrl

const Event ArrowDownCtrl = Event::Special("\x1B[1;5B")

static

Definition at line 46 of file event.hpp.

## Backspace

const Event Backspace = Event::Special({127})

static

Definition at line 49 of file event.hpp.

## Delete

const Event Delete = Event::Special("\x1B[3~")

static

Definition at line 50 of file event.hpp.

## Return

const Event Return = Event::Special({10})

static

Definition at line 51 of file event.hpp.

## Escape

const Event Escape = Event::Special("\x1B")

static

Definition at line 52 of file event.hpp.

## Tab

const Event Tab = Event::Special({9})

static

Definition at line 53 of file event.hpp.

## TabReverse

const Event TabReverse = Event::Special({27, 91, 90})

static

Definition at line 54 of file event.hpp.

## Insert

const Event Insert = Event::Special("\x1B[2~")

static

Definition at line 57 of file event.hpp.

## Home

const Event Home = Event::Special({27, 91, 72})

static

Definition at line 58 of file event.hpp.

## End

const Event End = Event::Special({27, 91, 70})

static

Definition at line 59 of file event.hpp.

## PageUp

const Event PageUp = Event::Special({27, 91, 53, 126})

static

Definition at line 60 of file event.hpp.

## PageDown

const Event PageDown = Event::Special({27, 91, 54, 126})

static

Definition at line 61 of file event.hpp.

## F1

const Event F1 = Event::Special("\x1BOP")

static

Definition at line 64 of file event.hpp.

## F2

const Event F2 = Event::Special("\x1BOQ")

static

Definition at line 64 of file event.hpp.

## F3

const Event F3 = Event::Special("\x1BOR")

static

Definition at line 64 of file event.hpp.

## F4

const Event F4 = Event::Special("\x1BOS")

static

Definition at line 64 of file event.hpp.

## F5

const Event F5 = Event::Special("\x1B[15~")

static

Definition at line 64 of file event.hpp.

## F6

const Event F6 = Event::Special("\x1B[17~")

static

Definition at line 64 of file event.hpp.

## F7

const Event F7 = Event::Special("\x1B[18~")

static

Definition at line 64 of file event.hpp.

## F8

const Event F8 = Event::Special("\x1B[19~")

static

Definition at line 64 of file event.hpp.

## F9

const Event F9 = Event::Special("\x1B[20~")

static

Definition at line 64 of file event.hpp.

## F10

const Event F10 = Event::Special("\x1B[21~")

static

Definition at line 64 of file event.hpp.

## F11

const Event F11 = Event::Special("\x1B[23~")

static

Definition at line 64 of file event.hpp.

## F12

const Event F12 = Event::Special("\x1B[24~")

static

Definition at line 64 of file event.hpp.

## a

const Event a = Event::Character("a")

static

Definition at line 67 of file event.hpp.

## A

const Event A = Event::Character("A")

static

Definition at line 67 of file event.hpp.

## CtrlA

const Event CtrlA = Event::Special("\x01")

static

Definition at line 67 of file event.hpp.

## AltA

const Event AltA = Event::Special("\x1b""a")

static

Definition at line 67 of file event.hpp.

## CtrlAltA

const Event CtrlAltA = Event::Special("\x1b\x01")

static

Definition at line 67 of file event.hpp.

## b

const Event b = Event::Character("b")

static

Definition at line 68 of file event.hpp.

## B

const Event B = Event::Character("B")

static

Definition at line 68 of file event.hpp.

## CtrlB

const Event CtrlB = Event::Special("\x02")

static

Definition at line 68 of file event.hpp.

## AltB

const Event AltB = Event::Special("\x1b""b")

static

Definition at line 68 of file event.hpp.

## CtrlAltB

const Event CtrlAltB = Event::Special("\x1b\x02")

static

Definition at line 68 of file event.hpp.

## c

const Event c = Event::Character("c")

static

Definition at line 69 of file event.hpp.

## C

const Event C = Event::Character("C")

static

Definition at line 69 of file event.hpp.

## CtrlC

const Event CtrlC = Event::Special("\x03")

static

Definition at line 69 of file event.hpp.

## AltC

const Event AltC = Event::Special("\x1b""c")

static

Definition at line 69 of file event.hpp.

## CtrlAltC

const Event CtrlAltC = Event::Special("\x1b\x03")

static

Definition at line 69 of file event.hpp.

## d

const Event d = Event::Character("d")

static

Definition at line 70 of file event.hpp.

## D

const Event D = Event::Character("D")

static

Definition at line 70 of file event.hpp.

## CtrlD

const Event CtrlD = Event::Special("\x04")

static

Definition at line 70 of file event.hpp.

## AltD

const Event AltD = Event::Special("\x1b""d")

static

Definition at line 70 of file event.hpp.

## CtrlAltD

const Event CtrlAltD = Event::Special("\x1b\x04")

static

Definition at line 70 of file event.hpp.

## e

const Event e = Event::Character("e")

static

Definition at line 71 of file event.hpp.

## E

const Event E = Event::Character("E")

static

Definition at line 71 of file event.hpp.

## CtrlE

const Event CtrlE = Event::Special("\x05")

static

Definition at line 71 of file event.hpp.

## AltE

const Event AltE = Event::Special("\x1b""e")

static

Definition at line 71 of file event.hpp.

## CtrlAltE

const Event CtrlAltE = Event::Special("\x1b\x05")

static

Definition at line 71 of file event.hpp.

## f

const Event f = Event::Character("f")

static

Definition at line 72 of file event.hpp.

## F

const Event F = Event::Character("F")

static

Definition at line 72 of file event.hpp.

## CtrlF

const Event CtrlF = Event::Special("\x06")

static

Definition at line 72 of file event.hpp.

## AltF

const Event AltF = Event::Special("\x1b""f")

static

Definition at line 72 of file event.hpp.

## CtrlAltF

const Event CtrlAltF = Event::Special("\x1b\x06")

static

Definition at line 72 of file event.hpp.

## g

const Event g = Event::Character("g")

static

Definition at line 73 of file event.hpp.

## G

const Event G = Event::Character("G")

static

Definition at line 73 of file event.hpp.

## CtrlG

const Event CtrlG = Event::Special("\x07")

static

Definition at line 73 of file event.hpp.

## AltG

const Event AltG = Event::Special("\x1b""g")

static

Definition at line 73 of file event.hpp.

## CtrlAltG

const Event CtrlAltG = Event::Special("\x1b\x07")

static

Definition at line 73 of file event.hpp.

## h

const Event h = Event::Character("h")

static

Definition at line 74 of file event.hpp.

## H

const Event H = Event::Character("H")

static

Definition at line 74 of file event.hpp.

## CtrlH

const Event CtrlH = Event::Special("\x08")

static

Definition at line 74 of file event.hpp.

## AltH

const Event AltH = Event::Special("\x1b""h")

static

Definition at line 74 of file event.hpp.

## CtrlAltH

const Event CtrlAltH = Event::Special("\x1b\x08")

static

Definition at line 74 of file event.hpp.

## i

const Event i = Event::Character("i")

static

Definition at line 75 of file event.hpp.

## I

const Event I = Event::Character("I")

static

Definition at line 75 of file event.hpp.

## CtrlI

const Event CtrlI = Event::Special("\x09")

static

Definition at line 75 of file event.hpp.

## AltI

const Event AltI = Event::Special("\x1b""i")

static

Definition at line 75 of file event.hpp.

## CtrlAltI

const Event CtrlAltI = Event::Special("\x1b\x09")

static

Definition at line 75 of file event.hpp.

## j

const Event j = Event::Character("j")

static

Definition at line 76 of file event.hpp.

## J

const Event J = Event::Character("J")

static

Definition at line 76 of file event.hpp.

## CtrlJ

const Event CtrlJ = Event::Special("\x0a")

static

Definition at line 76 of file event.hpp.

## AltJ

const Event AltJ = Event::Special("\x1b""j")

static

Definition at line 76 of file event.hpp.

## CtrlAltJ

const Event CtrlAltJ = Event::Special("\x1b\x0a")

static

Definition at line 76 of file event.hpp.

## k

const Event k = Event::Character("k")

static

Definition at line 77 of file event.hpp.

## K

const Event K = Event::Character("K")

static

Definition at line 77 of file event.hpp.

## CtrlK

const Event CtrlK = Event::Special("\x0b")

static

Definition at line 77 of file event.hpp.

## AltK

const Event AltK = Event::Special("\x1b""k")

static

Definition at line 77 of file event.hpp.

## CtrlAltK

const Event CtrlAltK = Event::Special("\x1b\x0b")

static

Definition at line 77 of file event.hpp.

## l

const Event l = Event::Character("l")

static

Definition at line 78 of file event.hpp.

## L

const Event L = Event::Character("L")

static

Definition at line 78 of file event.hpp.

## CtrlL

const Event CtrlL = Event::Special("\x0c")

static

Definition at line 78 of file event.hpp.

## AltL

const Event AltL = Event::Special("\x1b""l")

static

Definition at line 78 of file event.hpp.

## CtrlAltL

const Event CtrlAltL = Event::Special("\x1b\x0c")

static

Definition at line 78 of file event.hpp.

## m

const Event m = Event::Character("m")

static

Definition at line 79 of file event.hpp.

## M

const Event M = Event::Character("M")

static

Definition at line 79 of file event.hpp.

## CtrlM

const Event CtrlM = Event::Special("\x0d")

static

Definition at line 79 of file event.hpp.

## AltM

const Event AltM = Event::Special("\x1b""m")

static

Definition at line 79 of file event.hpp.

## CtrlAltM

const Event CtrlAltM = Event::Special("\x1b\x0d")

static

Definition at line 79 of file event.hpp.

## n

const Event n = Event::Character("n")

static

Definition at line 80 of file event.hpp.

## N

const Event N = Event::Character("N")

static

Definition at line 80 of file event.hpp.

## CtrlN

const Event CtrlN = Event::Special("\x0e")

static

Definition at line 80 of file event.hpp.

## AltN

const Event AltN = Event::Special("\x1b""n")

static

Definition at line 80 of file event.hpp.

## CtrlAltN

const Event CtrlAltN = Event::Special("\x1b\x0e")

static

Definition at line 80 of file event.hpp.

## o

const Event o = Event::Character("o")

static

Definition at line 81 of file event.hpp.

## O

const Event O = Event::Character("O")

static

Definition at line 81 of file event.hpp.

## CtrlO

const Event CtrlO = Event::Special("\x0f")

static

Definition at line 81 of file event.hpp.

## AltO

const Event AltO = Event::Special("\x1b""o")

static

Definition at line 81 of file event.hpp.

## CtrlAltO

const Event CtrlAltO = Event::Special("\x1b\x0f")

static

Definition at line 81 of file event.hpp.

## p

const Event p = Event::Character("p")

static

Definition at line 82 of file event.hpp.

## P

const Event P = Event::Character("P")

static

Definition at line 82 of file event.hpp.

## CtrlP

const Event CtrlP = Event::Special("\x10")

static

Definition at line 82 of file event.hpp.

## AltP

const Event AltP = Event::Special("\x1b""p")

static

Definition at line 82 of file event.hpp.

## CtrlAltP

const Event CtrlAltP = Event::Special("\x1b\x10")

static

Definition at line 82 of file event.hpp.

## q

const Event q = Event::Character("q")

static

Definition at line 83 of file event.hpp.

## Q

const Event Q = Event::Character("Q")

static

Definition at line 83 of file event.hpp.

## CtrlQ

const Event CtrlQ = Event::Special("\x11")

static

Definition at line 83 of file event.hpp.

## AltQ

const Event AltQ = Event::Special("\x1b""q")

static

Definition at line 83 of file event.hpp.

## CtrlAltQ

const Event CtrlAltQ = Event::Special("\x1b\x11")

static

Definition at line 83 of file event.hpp.

## r

const Event r = Event::Character("r")

static

Definition at line 84 of file event.hpp.

## R

const Event R = Event::Character("R")

static

Definition at line 84 of file event.hpp.

## CtrlR

const Event CtrlR = Event::Special("\x12")

static

Definition at line 84 of file event.hpp.

## AltR

const Event AltR = Event::Special("\x1b""r")

static

Definition at line 84 of file event.hpp.

## CtrlAltR

const Event CtrlAltR = Event::Special("\x1b\x12")

static

Definition at line 84 of file event.hpp.

## s

const Event s = Event::Character("s")

static

Definition at line 85 of file event.hpp.

## S

const Event S = Event::Character("S")

static

Definition at line 85 of file event.hpp.

## CtrlS

const Event CtrlS = Event::Special("\x13")

static

Definition at line 85 of file event.hpp.

## AltS

const Event AltS = Event::Special("\x1b""s")

static

Definition at line 85 of file event.hpp.

## CtrlAltS

const Event CtrlAltS = Event::Special("\x1b\x13")

static

Definition at line 85 of file event.hpp.

## t

const Event t = Event::Character("t")

static

Definition at line 86 of file event.hpp.

## T

const Event T = Event::Character("T")

static

Definition at line 86 of file event.hpp.

## CtrlT

const Event CtrlT = Event::Special("\x14")

static

Definition at line 86 of file event.hpp.

## AltT

const Event AltT = Event::Special("\x1b""t")

static

Definition at line 86 of file event.hpp.

## CtrlAltT

const Event CtrlAltT = Event::Special("\x1b\x14")

static

Definition at line 86 of file event.hpp.

## u

const Event u = Event::Character("u")

static

Definition at line 87 of file event.hpp.

## U

const Event U = Event::Character("U")

static

Definition at line 87 of file event.hpp.

## CtrlU

const Event CtrlU = Event::Special("\x15")

static

Definition at line 87 of file event.hpp.

## AltU

const Event AltU = Event::Special("\x1b""u")

static

Definition at line 87 of file event.hpp.

## CtrlAltU

const Event CtrlAltU = Event::Special("\x1b\x15")

static

Definition at line 87 of file event.hpp.

## v

const Event v = Event::Character("v")

static

Definition at line 88 of file event.hpp.

## V

const Event V = Event::Character("V")

static

Definition at line 88 of file event.hpp.

## CtrlV

const Event CtrlV = Event::Special("\x16")

static

Definition at line 88 of file event.hpp.

## AltV

const Event AltV = Event::Special("\x1b""v")

static

Definition at line 88 of file event.hpp.

## CtrlAltV

const Event CtrlAltV = Event::Special("\x1b\x16")

static

Definition at line 88 of file event.hpp.

## w

const Event w = Event::Character("w")

static

Definition at line 89 of file event.hpp.

## W

const Event W = Event::Character("W")

static

Definition at line 89 of file event.hpp.

## CtrlW

const Event CtrlW = Event::Special("\x17")

static

Definition at line 89 of file event.hpp.

## AltW

const Event AltW = Event::Special("\x1b""w")

static

Definition at line 89 of file event.hpp.

## CtrlAltW

const Event CtrlAltW = Event::Special("\x1b\x17")

static

Definition at line 89 of file event.hpp.

## x

const Event x = Event::Character("x")

static

Definition at line 90 of file event.hpp.

## X

const Event X = Event::Character("X")

static

Definition at line 90 of file event.hpp.

## CtrlX

const Event CtrlX = Event::Special("\x18")

static

Definition at line 90 of file event.hpp.

## AltX

const Event AltX = Event::Special("\x1b""x")

static

Definition at line 90 of file event.hpp.

## CtrlAltX

const Event CtrlAltX = Event::Special("\x1b\x18")

static

Definition at line 90 of file event.hpp.

## y

const Event y = Event::Character("y")

static

Definition at line 91 of file event.hpp.

## Y

const Event Y = Event::Character("Y")

static

Definition at line 91 of file event.hpp.

## CtrlY

const Event CtrlY = Event::Special("\x19")

static

Definition at line 91 of file event.hpp.

## AltY

const Event AltY = Event::Special("\x1b""y")

static

Definition at line 91 of file event.hpp.

## CtrlAltY

const Event CtrlAltY = Event::Special("\x1b\x19")

static

Definition at line 91 of file event.hpp.

## z

const Event z = Event::Character("z")

static

Definition at line 92 of file event.hpp.

## Z

const Event Z = Event::Character("Z")

static

Definition at line 92 of file event.hpp.

## CtrlZ

const Event CtrlZ = Event::Special("\x1a")

static

Definition at line 92 of file event.hpp.

## AltZ

const Event AltZ = Event::Special("\x1b""z")

static

Definition at line 92 of file event.hpp.

## CtrlAltZ

const Event CtrlAltZ = Event::Special("\x1b\x1a")

static

Definition at line 92 of file event.hpp.

## Custom

const Event Custom = Event::Special({0})

static

Examples
  examples/component/homescreen.cpp.

Definition at line 95 of file event.hpp.

## screen_

ScreenInteractive* screen_ = nullptr

Definition at line 122 of file event.hpp.

The documentation for this struct was generated from the following files:

- include/ftxui/component/event.hpp
- src/ftxui/component/event.cpp